Bug 215529 - init mounts harddrives before creation of encrypted /tmp
init mounts harddrives before creation of encrypted /tmp
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-14 10:41 EST by Tyler
Modified: 2014-03-16 23:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:49:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tyler 2006-11-14 10:41:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.8) Gecko/20061107 Fedora/1.5.0.8-1.fc6 Firefox/1.5.0.8

Description of problem:
The initscripts try to mount entries in /ets/fstab before encrypted temporary partitions are created.

Version-Release number of selected component (if applicable):
initscripts-8.45.5-1

How reproducible:
Always


Steps to Reproduce:
1. creaate an entry in /etc/crypttab for /tmp
2. add the device to /etc/fstab
3. reboot and watch the mount failing

Actual Results:
the encrypted partition is not mounted

Expected Results:
an encrypted partition should be set up and mounted properly

Additional info:
Comment 1 Lubomir Kundrak 2008-04-08 08:31:22 EDT
This is not a security flaw, removing the Security group and keyword.
Comment 2 John Poelstra 2008-04-23 19:11:40 EDT
notting-this bug is for FC6.  Should it remain open?
Comment 3 Bill Nottingham 2008-04-23 23:15:14 EDT
Only if it still exists; we've done some changes here for F9, although not that
many.
Comment 4 Bug Zapper 2008-05-06 12:49:14 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.